libzypp: zypp::target::Modalias::Impl Struct Reference

libzypp 17.25.10

Public Member Functions | Static Public Member Functions | Public Attributes | Related Functions | List of all members
zypp::target::Modalias::Impl Struct Reference

Modalias implementation. More...

## Public Member Functions
| Impl ()
| Ctor. More...
| ~Impl ()
| Dtor. More...
bool | query (const char *cap_r) const

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl. More...

## Public Attributes
ModaliasList | _modaliases

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const Modalias::Impl &obj)
| Stream output And maybe std::ostream & operator<< Modalias::Impl below too. More...

## Detailed Description

Modalias implementation.

Definition at line 118 of file Modalias.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::target::Modalias::Impl::Impl | ( |  | ) |
| inline

Ctor.

Definition at line 121 of file Modalias.cc.

## ◆ ~Impl()

zypp::target::Modalias::Impl::~Impl | ( |  | ) |
| inline

Dtor.

Definition at line 153 of file Modalias.cc.

## Member Function Documentation

## ◆ query()

bool zypp::target::Modalias::Impl::query | ( | const char * | cap_r | ) | const
| inline

Definition at line 170 of file Modalias.cc.

## ◆ nullimpl()

static shared_ptr<Impl> zypp::target::Modalias::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 188 of file Modalias.cc.

## Friends And Related Function Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Modalias::Impl & | obj
| ) |  |
| related

Stream output And maybe std::ostream & operator<< Modalias::Impl below too.

return libhal version or something like that.

Definition at line 201 of file Modalias.cc.

## Member Data Documentation

## ◆ _modaliases

ModaliasList zypp::target::Modalias::Impl::_modaliases

Definition at line 184 of file Modalias.cc.

The documentation for this struct was generated from the following file:

- zypp/target/modalias/Modalias.cc